<?php





/**





 * SensFRX Main Class of App





 *





 */





namespace SensFRX\FraudRate;





use SensFRX\Common\ApiCalls;





/**





 * Class FraudRate





 *





 * @package FraudRate





 */





class FraudRate {





	private $objAPI;





	public function __construct($objAPI) {





		$this->objAPI = $objAPI;





	}





	public function getFraudRate() {





		$method = 'GET';





		$url = '/fraud-rate';





		return $this->objAPI->callAPI($method, $url);





	}



	public function getTransAllFraud($DateFilter) {





		$fromDate = $DateFilter['from_date'];





		$toDate = $DateFilter['to_date'];





		$method = 'GET';





		$url = '/fraud-review/trans?from_date=' . $fromDate . '&to_date=' . $toDate;





		return $this->objAPI->callAPI($method, $url);





	}



	public function getRegAllFraud($DateFilter) {





		$fromDate = $DateFilter['from_date'];





		$toDate = $DateFilter['to_date'];





		$method = 'GET';





		$url = '/fraud-review/reg?from_date=' . $fromDate . '&to_date=' . $toDate;





		return $this->objAPI->callAPI($method, $url);





	}



	public function getATOAllFraud($DateFilter) {





		$fromDate = $DateFilter['from_date'];





		$toDate = $DateFilter['to_date'];





		$method = 'GET';





		$url = '/fraud-review/ato?from_date=' . $fromDate . '&to_date=' . $toDate;





		return $this->objAPI->callAPI($method, $url);





	}





}





